Bug 1263496 - [GSS] (6.1.z) Memory leak when deleting a tuple from an unlinked segment
[GSS] (6.1.z) Memory leak when deleting a tuple from an unlinked segment
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: CR1
: ---
Assigned To: Mario Fusco
Lukáš Petrovický
:
Depends On: 1263495
Blocks: 1259378 1259382
  Show dependency treegraph
 
Reported: 2015-09-15 20:50 EDT by Toshiya Kobayashi
Modified: 2016-04-28 01:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1263495
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-913 Major Resolved Memory leak when deleting a tuple from an unlinked segment 2016-07-28 01:07 EDT

  None (edit)
Description Toshiya Kobayashi 2015-09-15 20:50:25 EDT
+++ This bug was initially created as a clone of Bug #1263495 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-913

Steps to Reproduce:
1. See DROOLS-913. The commit contains a unit test

Actual results:

Deleted facts are retained by the ksession and not garbage collected even after ksession.delete()

Expected results:

Deleted facts are freed from the ksession so will be garbage collected after ksession.delete()
Comment 3 Mario Fusco 2015-09-24 03:40:05 EDT
Cherry-picked to 6.2.x branch with https://github.com/droolsjbpm/drools/commit/69e50b7b9
Comment 4 Tibor Zimanyi 2015-10-09 09:47:02 EDT
Verified in 6.1.4.CR1.

Note You need to log in before you can comment on or make changes to this bug.